package init_serve

import (
	_ "eta/eta_email_analysis/docs"
	"eta/eta_email_analysis/global"
	"eta/eta_email_analysis/middleware"
	"eta/eta_email_analysis/routers"
	"github.com/gin-gonic/gin"
)

// InitRouter 初始化路由
func InitRouter() (r *gin.Engine) {
	gin.SetMode(global.CONFIG.Serve.RunMode)

	r = gin.Default()
	r.Use(middleware.Cors())
	r.Use(middleware.Recover())

	rBase := r.Group("api/")
	routers.InitAuth(rBase)
	//routers.InitXiangyu(rBase)
	return
}
